digiKam Developer Documentation: Digikam::DateFolderView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DateFolderView Class Reference
Inheritance diagram for Digikam::DateFolderView:

## Public Member Functions
| DateFolderView (QWidget *const parent, DateAlbumModel *const dateAlbumModel)
void | changeAlbumFromHistory (DAlbum *const album)
AlbumPointer< DAlbum > | currentAlbum () const
void | doLoadState () override
| Implement this hook method for state loading.
void | doSaveState () override
| Implement this hook method for state saving.
void | gotoDate (const QDate &dt)
void | setActive (const bool val)
void | setConfigGroup (const KConfigGroup &group) override
| Sets a dedicated config group that will be used to store and reload the state from.
void | setItemModel (ItemFilterModel *const model)
Public Member Functions inherited from Digikam::DVBox
| DVBox (QWidget *const parent=nullptr)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Additional Inherited Members
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Member Function Documentation

## ◆ doLoadState()

void Digikam::DateFolderView::doLoadState | ( |  | ) |
| overridevirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ doSaveState()

void Digikam::DateFolderView::doSaveState | ( |  | ) |
| overridevirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ setConfigGroup()

void Digikam::DateFolderView::setConfigGroup | ( | const KConfigGroup & | group | ) |
| overridevirtual

If this method is not called, a group based on the object name is used.

You can re-implement this method to pass the group set here to child objects. Don't forget to call this method in your implementation.

Parameters

  group | config group to use for state saving and restoring

Reimplemented from Digikam::StateSavingObject.